<?php
    /**
    *
    * copyright (c) 2013-2022 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    *
    */

    include "../../include/includeBaseControllerComponenti.php";
    include "../../../../gUtil/GestoreUpload.php";
    include "../classi/ApprovazioneFile.php";
    
    if(isset($_POST["operazione"])) {
        $operazione       = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
        $approvazioneFile = new ApprovazioneFile($geecomDb, filter_input(INPUT_POST, "id"));
    }
    else {
        $operazione       = filter_input(INPUT_GET,"operazione",FILTER_SANITIZE_STRING);
        $approvazioneFile = new ApprovazioneFile($geecomDb, filter_input(INPUT_GET, "id"));
    }
    session_start();
    
    switch ($operazione) {
        case 'crea':
            $approvazioneFile->setNome(filter_input(INPUT_POST,"nome",FILTER_SANITIZE_ADD_SLASHES));
            $approvazioneFile->setCartellaDaApprovare(filter_input(INPUT_POST,"cartellaDaApprovare",FILTER_SANITIZE_STRING));
            $approvazioneFile->setDestinatari(filter_input(INPUT_POST,"destinatari",FILTER_SANITIZE_STRING));
            $approvazioneFile->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $approvazioneFile->setTermineApprovazione(filter_input(INPUT_POST,"termineApprovazione",FILTER_SANITIZE_STRING));
            $approvazioneFile->setTestoTermineScaduto(filter_input(INPUT_POST,"testoTermineScaduto",FILTER_SANITIZE_STRING));
            $approvazioneFile->crea();
            header("Location: ../creaApprovazione.php?id={$approvazioneFile->getId()}&status=200");
            break;
        case 'modifica':
            $approvazioneFile->setNome(filter_input(INPUT_POST,"nome",FILTER_SANITIZE_ADD_SLASHES));
            $approvazioneFile->setCartellaDaApprovare(filter_input(INPUT_POST,"cartellaDaApprovare",FILTER_SANITIZE_STRING));
            $approvazioneFile->setDestinatari(filter_input(INPUT_POST,"destinatari",FILTER_SANITIZE_STRING));
            $approvazioneFile->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $approvazioneFile->setTermineApprovazione(filter_input(INPUT_POST,"termineApprovazione",FILTER_SANITIZE_STRING));
            $approvazioneFile->setTestoTermineScaduto(filter_input(INPUT_POST,"testoTermineScaduto",FILTER_SANITIZE_STRING));
            $approvazioneFile->modifica();
            header("Location: ../creaApprovazione.php?id={$approvazioneFile->getId()}&status=220");
            break;
        case 'duplica':
            $idCondivisioniFileDuplicato = $approvazioneFile->duplica();
            header("Location: ../creaApprovazione.php?id={$idCondivisioniFileDuplicato}&status=210");
            break;
        case 'elimina':
            $approvazioneFile->elimina();
            echo "ok";
            break;
    }
